using Microsoft.Xna.Framework;
using System;

namespace MonoGame.FourEngine.Components
{
    public partial class AnimationComponent
    {
        public class AnimationFrame
        {
            public Point SpriteFrame { get; }
            public TimeSpan Delay { get; }

            public AnimationFrame(int x, int y, TimeSpan time)
            {
                SpriteFrame = new Point(x, y);
                Delay = time;
            }

            public AnimationFrame(int x, int y, int milliseconds)
            {
                SpriteFrame = new Point(x, y);
                Delay = TimeSpan.FromMilliseconds(milliseconds);
            }
        }
    }
}